Subject: Re: bug#23271: CC Mode 5.33 (C/l); Cache failure

From: Michael Welsh Duggan <[email-masked]>
Date: Tue, 26 Apr 2016 16:18:50 -0400

Alan Mackenzie <[email-masked]> writes:

> Sorry about the delayed response.
>
> I think I've tracked down what is causing this cache failure, but I'm
> not yet totally convinced by my patch for it.
>
> It seems to be an error in adjusting the cache when the buffer gets
> narrowed.  In particular, when the new point-min is inside a brace pair
> which was previously recorded in the cache.
>
> Give me a little time, and I'll get back to you with a patch.

Sure.  I (obviously) normally run with cache debugging turned on, and I
get cache errors fairly frequently.  Unfortunately, I can really only
send you the ones I can reproduce.  Each time I hope that the bug fixed
includes all of the errors I see.  :)

-- 
Michael Welsh Duggan
([email-masked])